> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# How to add a row to a custom object

> How to add a row to a custom object via the REST APIs.

## Request

<Tabs>
  <Tab title="HTTP RPC Agent">
    To insert a new row using the `DatabaseTable` agent, specify the `TableName` and `Values` as body parameters.

    ```http! theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Agents/DatabaseTable/InsertRow HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json
    {
        "TableName": "y_equipment",
        "Values: {
            "x_company": 1,
            "x_name": "printer"
        }
    }
    ```

    For details, see the [DatabaseTable agent reference][1].
  </Tab>

  <Tab title="RESTful REST">
    To insert a new row using the `TableRecord` endpoint, specify the table name in the URL and the values in the body.

    ```http! theme={null}
    POST https://{{env}}.superoffice.com/{{tenant}}/api/v1/Table/y_equipment HTTP/1.1
    Authorization: Bearer {{token}}
    Accept: application/json; charset=utf-8
    Content-Type: application/json
    {
        "x_company": 1,
        "x_name": "printer"
    }
    ```

    For details, see the [Table REST endpoint reference][2].
  </Tab>
</Tabs>

### Response

The Response returns the recordId of the new row.

```http_ theme={null}
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
2
```

[1]: ../../../reference/restful/agent/DatabaseTable_Agent/v1DatabaseTableAgent_InsertRow

[2]: ../../../reference/restful/rest/TableRecord/v1TableRecord_InsertRow


## Related topics

- [How to update a row in a custom object](/en/api/web-services/howto/custom-objects/rest-delete-custom-object-row.md)
- [How to get (read) a row from a custom object](/en/api/web-services/howto/custom-objects/rest-get-custom-object-row.md)
- [How to use custom objects to search for information](/en/api/web-services/howto/custom-objects/custom-objects-search.md)
- [Save Custom Object](/en/api/reference/restful/agent/customobject_agent/save-custom-object.md)
